## org.apache.lucene.search
Interface FieldCache.ByteParser

All Superinterfaces:
  FieldCache.Parser

Enclosing interface:
  FieldCache

    public static interface FieldCache.ByteParser

extends FieldCache.Parser

Interface to parse bytes from document fields.

See Also:
  `FieldCache.getBytes(AtomicReader, String, FieldCache.ByteParser, boolean)`

Method Summary
`byte` `parseByte(BytesRef term)` Return a single Byte representation of this field's value.

Methods inherited from interface org.apache.lucene.search.FieldCache.Parser
`termsEnum`

Method Detail

### parseByte

    byte parseByte(BytesRef term)

  Return a single Byte representation of this field's value.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.